高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviLocation Class Reference

`#include <AMapNaviLocation.h>`

Inheritance diagram for AMapNaviLocation:

## Properties
AMapNaviPoint * | coordinate
double | accuracy
double | altitude
double | heading
NSInteger | speed
NSDate * | timestamp
BOOL | isMatchNaviPath
int | currentSegmentIndex
int | currentLinkIndex
int | currentPointIndex
BOOL | isNetworkNavi

## Detailed Description

当前的自车位置 Current vehicle position

## Property Documentation

## ◆ accuracy

- (double) accuracy
| read write nonatomic assign

精确度 Accuracy

## ◆ altitude

- (double) altitude
| read write nonatomic assign

高度 Altitude

## ◆ coordinate

- (AMapNaviPoint*) coordinate
| read write nonatomic strong

经纬度 Latitude and longitude

## ◆ currentLinkIndex

- (int) currentLinkIndex
| read write nonatomic assign

当前所在的link段的index,从0开始 since 6.7.0 The index of the current link, starting from 0. since 6.7.0

## ◆ currentPointIndex

- (int) currentPointIndex
| read write nonatomic assign

当前自车位置在当前link段所在的point的index,从0开始 since 6.7.0 The index of the current vehicle position point in the current link segment, starting from 0. since 6.7.0

## ◆ currentSegmentIndex

- (int) currentSegmentIndex
| read write nonatomic assign

当前所在的segment段的index,从0开始 since 6.7.0 The index of the current segment, starting from 0. since 6.7.0

## ◆ heading

- (double) heading
| read write nonatomic assign

方向 Direction

## ◆ isMatchNaviPath

- (BOOL) isMatchNaviPath
| read write nonatomic assign

是否匹配在道路上 Whether matched on the road

## ◆ isNetworkNavi

- (BOOL) isNetworkNavi
| read write nonatomic assign

当前定位点是否为参与导航的网络点. 注意:只针对驾车. since 6.8.0 Whether the current positioning point is a network point involved in navigation. Note: only for driving. since 6.8.0

## ◆ speed

- (NSInteger) speed
| read write nonatomic assign

速度(km/h) Speed (km/h)

## ◆ timestamp

- (NSDate*) timestamp
| read write nonatomic strong

时间戳 Timestamp

The documentation for this class was generated from the following file:

- AMapNaviLocation.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。